<html xmlns:th="http://www.thymeleaf.org">
	<body>
		<div
			th:fragment="form"
			id="formDrawer"
			class="fixed top-0 right-0 z-40 h-screen p-6 overflow-y-auto transition-transform translate-x-full text-left space-y-4 bg-white w-80 md:w-96 dark:bg-gray-800"
			tabindex="-1"
			aria-labelledby="formDrawer"
		>
			<div>
				<h5 class="font-semibold dark:text-white">Tambah Staff</h5>
				<p class="text-gray-500 dark:text-gray-400">
					Silahkan tambah staff dengan mengisi form dibawah ini
				</p>
			</div>

			<form id="prosesForm" method="post" th:action="@{/employee}" novalidate>
				<div class="flex flex-col gap-6">
					<div class="relative">
						<label
							for="institution"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Pilih Institusi
						</label>
						<select
							style="width: 100%"
							id="institution"
							multiple
							name="institution"
							class="needs-validation peer hidden bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							required
						>
							<option th:each="data : ${institutionList}" th:text="${data.institutionName}" th:value="${data.id}">Institut Tazkia</option>
						</select>
						<p
							id="errorinstitution"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>
					<div>
						<label
							for="nik"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>NIK</label
						>
						<input
							type="text"
							id="nik"
							name="nik"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							placeholder="NIK"
							autocomplete="off"
							required
						/>
						<p
							id="errornik"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div>
						<label
							for="email"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Email</label
						>
						<input
							type="email"
							id="email"
							name="email"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							placeholder="email@company.com"
							autocomplete="off"
							required
						/>
						<input type="hidden" id="id" name="id">
						<p
							id="erroremail"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div>
						<label
							for="fullName"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Nama Lengkap</label
						>
						<input
							type="text"
							id="fullName"
							name="fullName"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							placeholder="Nama Lengkap"
							autocomplete="off"
							required
						/>
						<p
							id="errorfullName"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div>
						<label
								for="nickName"
								class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
						>Nomor Telepon</label
						>
						<input
								type="text"
								id="number"
								name="number"
								class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
								placeholder="085623223"
								autocomplete="off"
								required
						/>
						<p
								id="errornumber"
								class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div>
						<label
								for="nickName"
								class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
						>Nama Panggilan</label
						>
						<input
								type="text"
								id="nickName"
								name="nickName"
								class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
								placeholder="Nama Panggilan"
								autocomplete="off"
								required
						/>
						<p
								id="errornickName"
								class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div>
						<label
							for="frontTitle"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Gelar Depan</label
						>
						<input
							type="text"
							id="frontTitle"
							name="frontTitle"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							placeholder="Gelar Depan"
							autocomplete="off"
						/>
						<p
							id="errorfrontTitle"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div>
						<label
							for="backTitle"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Gelar Belakang</label
						>
						<input
							type="text"
							id="backTitle"
							name="backTitle"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							placeholder="Gelar Belakang"
							autocomplete="off"
						/>
						<p
							id="errorbackTitle"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div class="relative">
						<label
							for="gender"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Jenis Kelamin
						</label>
						<select
							style="width: 100%"
							id="gender"
							name="gender"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							required
						>
							<option value="" selected disabled>-- Pilih Jenis Kelamin --</option>
							<option value="PRIA">Laki Laki</option>
							<option value="WANITA">Perempuan</option>
						</select>
						<p
							id="errorgender"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div class="w-full flex flex-row gap-x-2">
						<button
							type="submit"
							class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full px-5 py-2.5 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
						>
							Submit
						</button>
						<!-- show only on edit -->
						<button
							type="button"
							data-drawer-hide="formDrawer"
							class="text-red-800 dark:text-red-400 bg-red-50 dark:bg-gray-700 hover:bg-red-100 dark:hover:bg-gray-600 focus:ring-4 focus:outline-none focus:ring-red-300 font-medium rounded-lg text-sm w-full px-5 py-2.5 text-center"
						>
							Batalkan
						</button>
					</div>
				</div>
			</form>
		</div>
	</body>
</html>
